package com.chinaitop.depot.intelligent.basicdata.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TNtinfoExample {
    /**
     * t_ntinfo
     */
    protected String orderByClause;

    /**
     * t_ntinfo
     */
    protected boolean distinct;

    /**
     * t_ntinfo
     */
    protected List<Criteria> oredCriteria;

    public TNtinfoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_ntinfo 2019-03-22
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNull() {
            addCriterion("vdevcode is null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNotNull() {
            addCriterion("vdevcode is not null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeEqualTo(String value) {
            addCriterion("vdevcode =", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotEqualTo(String value) {
            addCriterion("vdevcode <>", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThan(String value) {
            addCriterion("vdevcode >", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vdevcode >=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThan(String value) {
            addCriterion("vdevcode <", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThanOrEqualTo(String value) {
            addCriterion("vdevcode <=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLike(String value) {
            addCriterion("vdevcode like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotLike(String value) {
            addCriterion("vdevcode not like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIn(List<String> values) {
            addCriterion("vdevcode in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotIn(List<String> values) {
            addCriterion("vdevcode not in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeBetween(String value1, String value2) {
            addCriterion("vdevcode between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotBetween(String value1, String value2) {
            addCriterion("vdevcode not between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevnameIsNull() {
            addCriterion("vdevname is null");
            return (Criteria) this;
        }

        public Criteria andVdevnameIsNotNull() {
            addCriterion("vdevname is not null");
            return (Criteria) this;
        }

        public Criteria andVdevnameEqualTo(String value) {
            addCriterion("vdevname =", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotEqualTo(String value) {
            addCriterion("vdevname <>", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameGreaterThan(String value) {
            addCriterion("vdevname >", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameGreaterThanOrEqualTo(String value) {
            addCriterion("vdevname >=", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLessThan(String value) {
            addCriterion("vdevname <", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLessThanOrEqualTo(String value) {
            addCriterion("vdevname <=", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLike(String value) {
            addCriterion("vdevname like", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotLike(String value) {
            addCriterion("vdevname not like", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameIn(List<String> values) {
            addCriterion("vdevname in", values, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotIn(List<String> values) {
            addCriterion("vdevname not in", values, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameBetween(String value1, String value2) {
            addCriterion("vdevname between", value1, value2, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotBetween(String value1, String value2) {
            addCriterion("vdevname not between", value1, value2, "vdevname");
            return (Criteria) this;
        }

        public Criteria andIdevtdhIsNull() {
            addCriterion("idevtdh is null");
            return (Criteria) this;
        }

        public Criteria andIdevtdhIsNotNull() {
            addCriterion("idevtdh is not null");
            return (Criteria) this;
        }

        public Criteria andIdevtdhEqualTo(Integer value) {
            addCriterion("idevtdh =", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhNotEqualTo(Integer value) {
            addCriterion("idevtdh <>", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhGreaterThan(Integer value) {
            addCriterion("idevtdh >", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhGreaterThanOrEqualTo(Integer value) {
            addCriterion("idevtdh >=", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhLessThan(Integer value) {
            addCriterion("idevtdh <", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhLessThanOrEqualTo(Integer value) {
            addCriterion("idevtdh <=", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhIn(List<Integer> values) {
            addCriterion("idevtdh in", values, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhNotIn(List<Integer> values) {
            addCriterion("idevtdh not in", values, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhBetween(Integer value1, Integer value2) {
            addCriterion("idevtdh between", value1, value2, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhNotBetween(Integer value1, Integer value2) {
            addCriterion("idevtdh not between", value1, value2, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andSitecodeIsNull() {
            addCriterion("sitecode is null");
            return (Criteria) this;
        }

        public Criteria andSitecodeIsNotNull() {
            addCriterion("sitecode is not null");
            return (Criteria) this;
        }

        public Criteria andSitecodeEqualTo(String value) {
            addCriterion("sitecode =", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotEqualTo(String value) {
            addCriterion("sitecode <>", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeGreaterThan(String value) {
            addCriterion("sitecode >", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeGreaterThanOrEqualTo(String value) {
            addCriterion("sitecode >=", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLessThan(String value) {
            addCriterion("sitecode <", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLessThanOrEqualTo(String value) {
            addCriterion("sitecode <=", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLike(String value) {
            addCriterion("sitecode like", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotLike(String value) {
            addCriterion("sitecode not like", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeIn(List<String> values) {
            addCriterion("sitecode in", values, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotIn(List<String> values) {
            addCriterion("sitecode not in", values, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeBetween(String value1, String value2) {
            addCriterion("sitecode between", value1, value2, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotBetween(String value1, String value2) {
            addCriterion("sitecode not between", value1, value2, "sitecode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNull() {
            addCriterion("vcfcode is null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNotNull() {
            addCriterion("vcfcode is not null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeEqualTo(String value) {
            addCriterion("vcfcode =", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotEqualTo(String value) {
            addCriterion("vcfcode <>", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThan(String value) {
            addCriterion("vcfcode >", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vcfcode >=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThan(String value) {
            addCriterion("vcfcode <", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThanOrEqualTo(String value) {
            addCriterion("vcfcode <=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLike(String value) {
            addCriterion("vcfcode like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotLike(String value) {
            addCriterion("vcfcode not like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIn(List<String> values) {
            addCriterion("vcfcode in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotIn(List<String> values) {
            addCriterion("vcfcode not in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeBetween(String value1, String value2) {
            addCriterion("vcfcode between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotBetween(String value1, String value2) {
            addCriterion("vcfcode not between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andValue1IsNull() {
            addCriterion("value1 is null");
            return (Criteria) this;
        }

        public Criteria andValue1IsNotNull() {
            addCriterion("value1 is not null");
            return (Criteria) this;
        }

        public Criteria andValue1EqualTo(Integer value) {
            addCriterion("value1 =", value, "value1");
            return (Criteria) this;
        }

        public Criteria andValue1NotEqualTo(Integer value) {
            addCriterion("value1 <>", value, "value1");
            return (Criteria) this;
        }

        public Criteria andValue1GreaterThan(Integer value) {
            addCriterion("value1 >", value, "value1");
            return (Criteria) this;
        }

        public Criteria andValue1GreaterThanOrEqualTo(Integer value) {
            addCriterion("value1 >=", value, "value1");
            return (Criteria) this;
        }

        public Criteria andValue1LessThan(Integer value) {
            addCriterion("value1 <", value, "value1");
            return (Criteria) this;
        }

        public Criteria andValue1LessThanOrEqualTo(Integer value) {
            addCriterion("value1 <=", value, "value1");
            return (Criteria) this;
        }

        public Criteria andValue1In(List<Integer> values) {
            addCriterion("value1 in", values, "value1");
            return (Criteria) this;
        }

        public Criteria andValue1NotIn(List<Integer> values) {
            addCriterion("value1 not in", values, "value1");
            return (Criteria) this;
        }

        public Criteria andValue1Between(Integer value1, Integer value2) {
            addCriterion("value1 between", value1, value2, "value1");
            return (Criteria) this;
        }

        public Criteria andValue1NotBetween(Integer value1, Integer value2) {
            addCriterion("value1 not between", value1, value2, "value1");
            return (Criteria) this;
        }

        public Criteria andValue2IsNull() {
            addCriterion("value2 is null");
            return (Criteria) this;
        }

        public Criteria andValue2IsNotNull() {
            addCriterion("value2 is not null");
            return (Criteria) this;
        }

        public Criteria andValue2EqualTo(Integer value) {
            addCriterion("value2 =", value, "value2");
            return (Criteria) this;
        }

        public Criteria andValue2NotEqualTo(Integer value) {
            addCriterion("value2 <>", value, "value2");
            return (Criteria) this;
        }

        public Criteria andValue2GreaterThan(Integer value) {
            addCriterion("value2 >", value, "value2");
            return (Criteria) this;
        }

        public Criteria andValue2GreaterThanOrEqualTo(Integer value) {
            addCriterion("value2 >=", value, "value2");
            return (Criteria) this;
        }

        public Criteria andValue2LessThan(Integer value) {
            addCriterion("value2 <", value, "value2");
            return (Criteria) this;
        }

        public Criteria andValue2LessThanOrEqualTo(Integer value) {
            addCriterion("value2 <=", value, "value2");
            return (Criteria) this;
        }

        public Criteria andValue2In(List<Integer> values) {
            addCriterion("value2 in", values, "value2");
            return (Criteria) this;
        }

        public Criteria andValue2NotIn(List<Integer> values) {
            addCriterion("value2 not in", values, "value2");
            return (Criteria) this;
        }

        public Criteria andValue2Between(Integer value1, Integer value2) {
            addCriterion("value2 between", value1, value2, "value2");
            return (Criteria) this;
        }

        public Criteria andValue2NotBetween(Integer value1, Integer value2) {
            addCriterion("value2 not between", value1, value2, "value2");
            return (Criteria) this;
        }

        public Criteria andValue3IsNull() {
            addCriterion("value3 is null");
            return (Criteria) this;
        }

        public Criteria andValue3IsNotNull() {
            addCriterion("value3 is not null");
            return (Criteria) this;
        }

        public Criteria andValue3EqualTo(Integer value) {
            addCriterion("value3 =", value, "value3");
            return (Criteria) this;
        }

        public Criteria andValue3NotEqualTo(Integer value) {
            addCriterion("value3 <>", value, "value3");
            return (Criteria) this;
        }

        public Criteria andValue3GreaterThan(Integer value) {
            addCriterion("value3 >", value, "value3");
            return (Criteria) this;
        }

        public Criteria andValue3GreaterThanOrEqualTo(Integer value) {
            addCriterion("value3 >=", value, "value3");
            return (Criteria) this;
        }

        public Criteria andValue3LessThan(Integer value) {
            addCriterion("value3 <", value, "value3");
            return (Criteria) this;
        }

        public Criteria andValue3LessThanOrEqualTo(Integer value) {
            addCriterion("value3 <=", value, "value3");
            return (Criteria) this;
        }

        public Criteria andValue3In(List<Integer> values) {
            addCriterion("value3 in", values, "value3");
            return (Criteria) this;
        }

        public Criteria andValue3NotIn(List<Integer> values) {
            addCriterion("value3 not in", values, "value3");
            return (Criteria) this;
        }

        public Criteria andValue3Between(Integer value1, Integer value2) {
            addCriterion("value3 between", value1, value2, "value3");
            return (Criteria) this;
        }

        public Criteria andValue3NotBetween(Integer value1, Integer value2) {
            addCriterion("value3 not between", value1, value2, "value3");
            return (Criteria) this;
        }

        public Criteria andN2value1IsNull() {
            addCriterion("n2value1 is null");
            return (Criteria) this;
        }

        public Criteria andN2value1IsNotNull() {
            addCriterion("n2value1 is not null");
            return (Criteria) this;
        }

        public Criteria andN2value1EqualTo(BigDecimal value) {
            addCriterion("n2value1 =", value, "n2value1");
            return (Criteria) this;
        }

        public Criteria andN2value1NotEqualTo(BigDecimal value) {
            addCriterion("n2value1 <>", value, "n2value1");
            return (Criteria) this;
        }

        public Criteria andN2value1GreaterThan(BigDecimal value) {
            addCriterion("n2value1 >", value, "n2value1");
            return (Criteria) this;
        }

        public Criteria andN2value1GreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("n2value1 >=", value, "n2value1");
            return (Criteria) this;
        }

        public Criteria andN2value1LessThan(BigDecimal value) {
            addCriterion("n2value1 <", value, "n2value1");
            return (Criteria) this;
        }

        public Criteria andN2value1LessThanOrEqualTo(BigDecimal value) {
            addCriterion("n2value1 <=", value, "n2value1");
            return (Criteria) this;
        }

        public Criteria andN2value1In(List<BigDecimal> values) {
            addCriterion("n2value1 in", values, "n2value1");
            return (Criteria) this;
        }

        public Criteria andN2value1NotIn(List<BigDecimal> values) {
            addCriterion("n2value1 not in", values, "n2value1");
            return (Criteria) this;
        }

        public Criteria andN2value1Between(BigDecimal value1, BigDecimal value2) {
            addCriterion("n2value1 between", value1, value2, "n2value1");
            return (Criteria) this;
        }

        public Criteria andN2value1NotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("n2value1 not between", value1, value2, "n2value1");
            return (Criteria) this;
        }

        public Criteria andN2value2IsNull() {
            addCriterion("n2value2 is null");
            return (Criteria) this;
        }

        public Criteria andN2value2IsNotNull() {
            addCriterion("n2value2 is not null");
            return (Criteria) this;
        }

        public Criteria andN2value2EqualTo(BigDecimal value) {
            addCriterion("n2value2 =", value, "n2value2");
            return (Criteria) this;
        }

        public Criteria andN2value2NotEqualTo(BigDecimal value) {
            addCriterion("n2value2 <>", value, "n2value2");
            return (Criteria) this;
        }

        public Criteria andN2value2GreaterThan(BigDecimal value) {
            addCriterion("n2value2 >", value, "n2value2");
            return (Criteria) this;
        }

        public Criteria andN2value2GreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("n2value2 >=", value, "n2value2");
            return (Criteria) this;
        }

        public Criteria andN2value2LessThan(BigDecimal value) {
            addCriterion("n2value2 <", value, "n2value2");
            return (Criteria) this;
        }

        public Criteria andN2value2LessThanOrEqualTo(BigDecimal value) {
            addCriterion("n2value2 <=", value, "n2value2");
            return (Criteria) this;
        }

        public Criteria andN2value2In(List<BigDecimal> values) {
            addCriterion("n2value2 in", values, "n2value2");
            return (Criteria) this;
        }

        public Criteria andN2value2NotIn(List<BigDecimal> values) {
            addCriterion("n2value2 not in", values, "n2value2");
            return (Criteria) this;
        }

        public Criteria andN2value2Between(BigDecimal value1, BigDecimal value2) {
            addCriterion("n2value2 between", value1, value2, "n2value2");
            return (Criteria) this;
        }

        public Criteria andN2value2NotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("n2value2 not between", value1, value2, "n2value2");
            return (Criteria) this;
        }

        public Criteria andN2value3IsNull() {
            addCriterion("n2value3 is null");
            return (Criteria) this;
        }

        public Criteria andN2value3IsNotNull() {
            addCriterion("n2value3 is not null");
            return (Criteria) this;
        }

        public Criteria andN2value3EqualTo(BigDecimal value) {
            addCriterion("n2value3 =", value, "n2value3");
            return (Criteria) this;
        }

        public Criteria andN2value3NotEqualTo(BigDecimal value) {
            addCriterion("n2value3 <>", value, "n2value3");
            return (Criteria) this;
        }

        public Criteria andN2value3GreaterThan(BigDecimal value) {
            addCriterion("n2value3 >", value, "n2value3");
            return (Criteria) this;
        }

        public Criteria andN2value3GreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("n2value3 >=", value, "n2value3");
            return (Criteria) this;
        }

        public Criteria andN2value3LessThan(BigDecimal value) {
            addCriterion("n2value3 <", value, "n2value3");
            return (Criteria) this;
        }

        public Criteria andN2value3LessThanOrEqualTo(BigDecimal value) {
            addCriterion("n2value3 <=", value, "n2value3");
            return (Criteria) this;
        }

        public Criteria andN2value3In(List<BigDecimal> values) {
            addCriterion("n2value3 in", values, "n2value3");
            return (Criteria) this;
        }

        public Criteria andN2value3NotIn(List<BigDecimal> values) {
            addCriterion("n2value3 not in", values, "n2value3");
            return (Criteria) this;
        }

        public Criteria andN2value3Between(BigDecimal value1, BigDecimal value2) {
            addCriterion("n2value3 between", value1, value2, "n2value3");
            return (Criteria) this;
        }

        public Criteria andN2value3NotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("n2value3 not between", value1, value2, "n2value3");
            return (Criteria) this;
        }

        public Criteria andN2value4IsNull() {
            addCriterion("n2value4 is null");
            return (Criteria) this;
        }

        public Criteria andN2value4IsNotNull() {
            addCriterion("n2value4 is not null");
            return (Criteria) this;
        }

        public Criteria andN2value4EqualTo(BigDecimal value) {
            addCriterion("n2value4 =", value, "n2value4");
            return (Criteria) this;
        }

        public Criteria andN2value4NotEqualTo(BigDecimal value) {
            addCriterion("n2value4 <>", value, "n2value4");
            return (Criteria) this;
        }

        public Criteria andN2value4GreaterThan(BigDecimal value) {
            addCriterion("n2value4 >", value, "n2value4");
            return (Criteria) this;
        }

        public Criteria andN2value4GreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("n2value4 >=", value, "n2value4");
            return (Criteria) this;
        }

        public Criteria andN2value4LessThan(BigDecimal value) {
            addCriterion("n2value4 <", value, "n2value4");
            return (Criteria) this;
        }

        public Criteria andN2value4LessThanOrEqualTo(BigDecimal value) {
            addCriterion("n2value4 <=", value, "n2value4");
            return (Criteria) this;
        }

        public Criteria andN2value4In(List<BigDecimal> values) {
            addCriterion("n2value4 in", values, "n2value4");
            return (Criteria) this;
        }

        public Criteria andN2value4NotIn(List<BigDecimal> values) {
            addCriterion("n2value4 not in", values, "n2value4");
            return (Criteria) this;
        }

        public Criteria andN2value4Between(BigDecimal value1, BigDecimal value2) {
            addCriterion("n2value4 between", value1, value2, "n2value4");
            return (Criteria) this;
        }

        public Criteria andN2value4NotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("n2value4 not between", value1, value2, "n2value4");
            return (Criteria) this;
        }

        public Criteria andN2value5IsNull() {
            addCriterion("n2value5 is null");
            return (Criteria) this;
        }

        public Criteria andN2value5IsNotNull() {
            addCriterion("n2value5 is not null");
            return (Criteria) this;
        }

        public Criteria andN2value5EqualTo(BigDecimal value) {
            addCriterion("n2value5 =", value, "n2value5");
            return (Criteria) this;
        }

        public Criteria andN2value5NotEqualTo(BigDecimal value) {
            addCriterion("n2value5 <>", value, "n2value5");
            return (Criteria) this;
        }

        public Criteria andN2value5GreaterThan(BigDecimal value) {
            addCriterion("n2value5 >", value, "n2value5");
            return (Criteria) this;
        }

        public Criteria andN2value5GreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("n2value5 >=", value, "n2value5");
            return (Criteria) this;
        }

        public Criteria andN2value5LessThan(BigDecimal value) {
            addCriterion("n2value5 <", value, "n2value5");
            return (Criteria) this;
        }

        public Criteria andN2value5LessThanOrEqualTo(BigDecimal value) {
            addCriterion("n2value5 <=", value, "n2value5");
            return (Criteria) this;
        }

        public Criteria andN2value5In(List<BigDecimal> values) {
            addCriterion("n2value5 in", values, "n2value5");
            return (Criteria) this;
        }

        public Criteria andN2value5NotIn(List<BigDecimal> values) {
            addCriterion("n2value5 not in", values, "n2value5");
            return (Criteria) this;
        }

        public Criteria andN2value5Between(BigDecimal value1, BigDecimal value2) {
            addCriterion("n2value5 between", value1, value2, "n2value5");
            return (Criteria) this;
        }

        public Criteria andN2value5NotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("n2value5 not between", value1, value2, "n2value5");
            return (Criteria) this;
        }

        public Criteria andValarmstatueIsNull() {
            addCriterion("valarmstatue is null");
            return (Criteria) this;
        }

        public Criteria andValarmstatueIsNotNull() {
            addCriterion("valarmstatue is not null");
            return (Criteria) this;
        }

        public Criteria andValarmstatueEqualTo(Integer value) {
            addCriterion("valarmstatue =", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueNotEqualTo(Integer value) {
            addCriterion("valarmstatue <>", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueGreaterThan(Integer value) {
            addCriterion("valarmstatue >", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueGreaterThanOrEqualTo(Integer value) {
            addCriterion("valarmstatue >=", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueLessThan(Integer value) {
            addCriterion("valarmstatue <", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueLessThanOrEqualTo(Integer value) {
            addCriterion("valarmstatue <=", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueIn(List<Integer> values) {
            addCriterion("valarmstatue in", values, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueNotIn(List<Integer> values) {
            addCriterion("valarmstatue not in", values, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueBetween(Integer value1, Integer value2) {
            addCriterion("valarmstatue between", value1, value2, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueNotBetween(Integer value1, Integer value2) {
            addCriterion("valarmstatue not between", value1, value2, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueIsNull() {
            addCriterion("vstatue is null");
            return (Criteria) this;
        }

        public Criteria andVstatueIsNotNull() {
            addCriterion("vstatue is not null");
            return (Criteria) this;
        }

        public Criteria andVstatueEqualTo(Integer value) {
            addCriterion("vstatue =", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueNotEqualTo(Integer value) {
            addCriterion("vstatue <>", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueGreaterThan(Integer value) {
            addCriterion("vstatue >", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueGreaterThanOrEqualTo(Integer value) {
            addCriterion("vstatue >=", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueLessThan(Integer value) {
            addCriterion("vstatue <", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueLessThanOrEqualTo(Integer value) {
            addCriterion("vstatue <=", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueIn(List<Integer> values) {
            addCriterion("vstatue in", values, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueNotIn(List<Integer> values) {
            addCriterion("vstatue not in", values, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueBetween(Integer value1, Integer value2) {
            addCriterion("vstatue between", value1, value2, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueNotBetween(Integer value1, Integer value2) {
            addCriterion("vstatue not between", value1, value2, "vstatue");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNull() {
            addCriterion("del_flag is null");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNotNull() {
            addCriterion("del_flag is not null");
            return (Criteria) this;
        }

        public Criteria andDelFlagEqualTo(Integer value) {
            addCriterion("del_flag =", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotEqualTo(Integer value) {
            addCriterion("del_flag <>", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThan(Integer value) {
            addCriterion("del_flag >", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("del_flag >=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThan(Integer value) {
            addCriterion("del_flag <", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThanOrEqualTo(Integer value) {
            addCriterion("del_flag <=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagIn(List<Integer> values) {
            addCriterion("del_flag in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotIn(List<Integer> values) {
            addCriterion("del_flag not in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagBetween(Integer value1, Integer value2) {
            addCriterion("del_flag between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("del_flag not between", value1, value2, "delFlag");
            return (Criteria) this;
        }
    }

    /**
     * t_ntinfo
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_ntinfo 2019-03-22
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}